=== debian/changelog ===
ros-one-jpeg-streamer (0.2.7-0noble.20251023.0228) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ken Tossell <ken@tossell.net>  Thu, 23 Oct 2025 02:28:45 +0000

ros-one-jpeg-streamer (0.2.7-0noble) noble; urgency=high



 -- Ken Tossell <ken@tossell.net>  Thu, 30 Aug 2018 00:00:00 -0000

ros-one-jpeg-streamer (0.2.6-0noble) noble; urgency=high



 -- Ken Tossell <ken@tossell.net>  Thu, 30 Aug 2018 00:00:00 -0000

ros-one-jpeg-streamer (0.2.5-0noble) noble; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag
  * Contributors: Kei Okada

 -- Ken Tossell <ken@tossell.net>  Thu, 15 Jun 2017 00:00:00 -0000

ros-one-jpeg-streamer (0.2.4-0noble) noble; urgency=high



 -- Ken Tossell <ken@tossell.net>  Sun, 29 Jun 2014 00:00:00 -0000

ros-one-jpeg-streamer (0.2.3-0noble) noble; urgency=high



 -- Ken Tossell <ken@tossell.net>  Thu, 26 Jun 2014 00:00:00 -0000

ros-one-jpeg-streamer (0.2.2-0noble) noble; urgency=high



 -- Ken Tossell <ken@tossell.net>  Tue, 24 Jun 2014 00:00:00 -0000

ros-one-jpeg-streamer (0.2.1-0noble) noble; urgency=high



 -- Ken Tossell <ken@tossell.net>  Sun, 12 Jan 2014 00:00:00 -0000

ros-one-jpeg-streamer (0.2.0-0noble) noble; urgency=high

  * Converted jpeg_streamer to catkin

 -- Ken Tossell <ken@tossell.net>  Fri, 02 Aug 2013 00:00:00 -0000
