=== debian/control ===
Source: ros-one-jpeg-streamer
Section: misc
Priority: optional
Maintainer: Ken Tossell <ken@tossell.net>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-image-transport, ros-one-roscpp, ros-one-sensor-msgs
Homepage: http://ros.org/wiki/jpeg_streamer
Standards-Version: 3.9.2

Package: ros-one-jpeg-streamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-image-transport, ros-one-roscpp, ros-one-sensor-msgs
Description: tools for streaming JPEG-formatted CompressedImage topics over HTTP
