## ros-one-jpeg-streamer 0.2.7-0noble.20260220.2335

=== debian/changelog ===
ros-one-jpeg-streamer (0.2.7-0noble.20260220.2335) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ken Tossell <ken@tossell.net>  Fri, 20 Feb 2026 23:35:16 +0000
